GET Organizations
Retrieve a paginated list of organizations for the tenant.
Endpoint
|
Endpoint |
|
|
Method |
GET |
|
Scope |
riskassess.administration.read |
Headers
| Header | Argument |
|---|---|
|
Authorization |
Bearer token |
|
Accept |
application/json or application/xml |
|
X-Correlation-Id |
(Optional) Request tracing ID |
Parameters
| Parameter | Required | Description |
|---|---|---|
|
limit |
No |
Page size. Default: 50. |
|
offset |
No |
Rows to skip. Default: 0. |
|
order_by |
No |
(Optional) Sort field. Sortable fields: createdAt, modifiedAt. |
|
dir |
No |
Sort direction: Asc or Desc. Default: Asc. |
|
includeDeleted |
No |
Include soft-deleted organizations when true. Default: false. |
| API field | Filter | Sort (order_by) |
|---|---|---|
|
entityId |
Yes |
No |
|
name |
Yes |
No |
|
status |
Yes |
No |
|
type |
Yes |
No |
|
createdAt |
Yes |
Yes |
|
modifiedAt |
Yes |
Yes |
Get organizations
- Endpoint
-
GET
/api/administration/organizations - Example cURL request
-
curl --location 'https://<your-instance>.risk.com/api/administration/organizations?limit=5&offset=0&order_by=name&dir=Asc' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer ••••••' - Example response
-
{ "success": true, "result": { "totalCount": 1, "organizations": [ { "entityId": "f5a2a07d-3e39-4aa4-83c9-35060d2faee9", "name": "North America HQ", "status": "Active", "type": "Division", "description": "Primary division", "createdAt": "2024-06-01T10:00:00.000Z", "modifiedAt": "2025-01-10T12:00:00.000Z", "links": [ { "href": "api/administration/organizations/f5a2a07d-3e39-4aa4-83c9-35060d2faee9", "rel": "_self", "method": "GET" } ] } ] }, "errors": [] }